clang 10.0.0git

Public Types | Static Public Member Functions | List of all members
llvm::GraphTraits< clang::DomTreeNode * > Struct Template Reference

DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators. More...

`#include "clang/Analysis/Analyses/Dominators.h"`

## Public Types
using | NodeRef = ::clang::DomTreeNode *
using | ChildIteratorType = ::clang::DomTreeNode::iterator
using | nodes_iterator = llvm::pointer_iterator< df_iterator<::clang::DomTreeNode * > >

## Static Public Member Functions
static NodeRef | getEntryNode (NodeRef N)
static ChildIteratorType | child_begin (NodeRef N)
static ChildIteratorType | child_end (NodeRef N)
static nodes_iterator | nodes_begin (::clang::DomTreeNode *N)
static nodes_iterator | nodes_end (::clang::DomTreeNode *N)

## Detailed Description

### template<>
struct llvm::GraphTraits< clang::DomTreeNode * >

DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.

Definition at line 352 of file Dominators.h.

## Member Typedef Documentation

## ◆ ChildIteratorType

using llvm::GraphTraits< clang::DomTreeNode * >::ChildIteratorType = ::clang::DomTreeNode::iterator

Definition at line 354 of file Dominators.h.

## ◆ NodeRef

using llvm::GraphTraits< clang::DomTreeNode * >::NodeRef = ::clang::DomTreeNode *

Definition at line 353 of file Dominators.h.

## ◆ nodes_iterator

using llvm::GraphTraits< clang::DomTreeNode * >::nodes_iterator = llvm::pointer_iterator<df_iterator<::clang::DomTreeNode *> >

Definition at line 361 of file Dominators.h.

## Member Function Documentation

## ◆ child_begin()

static ChildIteratorType llvm::GraphTraits< clang::DomTreeNode * >::child_begin | ( | NodeRef | N | ) |
| inline static

Definition at line 357 of file Dominators.h.

## ◆ child_end()

static ChildIteratorType llvm::GraphTraits< clang::DomTreeNode * >::child_end | ( | NodeRef | N | ) |
| inline static

Definition at line 358 of file Dominators.h.

## ◆ getEntryNode()

static NodeRef llvm::GraphTraits< clang::DomTreeNode * >::getEntryNode | ( | NodeRef | N | ) |
| inline static

Definition at line 356 of file Dominators.h.

## ◆ nodes_begin()

static nodes_iterator llvm::GraphTraits< clang::DomTreeNode * >::nodes_begin | ( | ::clang::DomTreeNode * | N | ) |
| inline static

Definition at line 363 of file Dominators.h.

## ◆ nodes_end()

static nodes_iterator llvm::GraphTraits< clang::DomTreeNode * >::nodes_end | ( | ::clang::DomTreeNode * | N | ) |
| inline static

Definition at line 367 of file Dominators.h.

The documentation for this struct was generated from the following file:

- include/clang/Analysis/Analyses/Dominators.h